Bug 116296 (rpm_database) - rpm --rebuilddb cannot fix rpm databse
Summary: rpm --rebuilddb cannot fix rpm databse
Status: CLOSED WORKSFORME
Alias: rpm_database
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
(Show other bugs)
Version: 9
Hardware: i386 Linux
high
high
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL: http://titan.minghe.org:8180/~ming/rp...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-19 20:36 UTC by Ming He
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-09 20:18:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ming He 2004-02-19 20:36:05 UTC
Description of problem:

rpm database corrupted.  rpm --rebuilddb would not fix.
need to recover the dabase.

Version-Release number of selected component (if applicable):

[ming@satan ming]$ rpm --version
RPM version 4.2

How reproducible:

[ming@satan ming]$ rpm -qa
error: rpmdbNextIterator: skipping h#     762 blob size(17176): BAD, 8
+ 16 * il(959538789) + dl(811807536)
setup-2.5.25-1
bzip2-libs-1.0.2-8
......
......
error: rpmdbNextIterator: skipping h#     764 Header V3 DSA signature:
BAD, key ID e42d547b
sylpheed-claws-0.9.6-1.fr
spamassassin-tools-2.60-1
error: rpmdbNextIterator: skipping h#     762 blob size(17176): BAD, 8
+ 16 * il(959538789) + dl(811807536)
cups-1.1.17-13.3.0.3
libxfce4util-4.0.0-1
xfce4-panel-4.0.0-1
a2ps-4.13b-28
xfce4-themes-4.0.0-1
xfce-utils-4.0.0-1
xfwm4-themes-4.0.0-1
Segmentation fault
[ming@satan ming]$ 

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:


Note You need to log in before you can comment on or make changes to this bug.